combo-app(1)

NAME
combo-app - Sample netconfd-pro server SIL-SA + DB-API sub-system

SYNOPSIS

   combo-app [--subsys=<subsys-id>] [--library=name] [<logging-parameters>]
      --getconfig [--withdef] --filespec=/path/to/output.xml
      [--with-state] [--xpath-filter=xpath-expression] [--retry-limit=num]

DESCRIPTION
combo-app is a sample YumaPro subsystem program to demonstrate how the SIL-SA, DB-API, and YControl libraries can be used together within an application. If the --getconfig and --filespec parameters are present then the <get-config> operation will be sent about once per second, which the sil-sa-app is also active and processing SIL-SA requests. Use control-C to exit the program.

Refer to the online YumaPro Developer Manual for full details on SIL-SA development:

https://docs.yumaworks.com/en/latest/dev/index.html

USAGE
Parameters can be entered in any order, and have the form:

   --name[=value]

where:

    name == parameter name
    value == optional parameter value

OPTIONS

--subsys-id=string
    The --subsys-id parameter keyword is optional. It specifies the subsystem identifier to use when registering with the netconfd-pro server. The default is 'subsys1' if no value is specified.

--log-level=level
    The --log-level, --log, and other logging parameters are also supported.

--getconfig
    The --getconfig parameter will cause a <getconfig> request to be sent to the server.

--library=string
    The --library parameter keyword is optional. It specifies a SIL-SA library (module or bundle) that should be selected by this subsystem. If any --library parameters are present, then only those SIL-SA libraries will be loaded by this subsystem, if the main server indicates that the module or bundle is loaded. This option can be used multiple times, once for each selected module or bundle.

    If no --library parameters are present then the combo-app will attempt to load all SIL-SA modules and bundles reported by the server.

    If the SIL-SA library is not found in the /usr/lib/yumapro directory then it will be skipped by the subsystem.

    Example: --library=foo (selects libfoo_sa.so)

--retry-limit=num
    The --retry-limit parameter will cause the subsystem to terminate after the specified number of re-connect attempts. The default value is 5000 re-connect attempts. The parameter is a uint16 number between 1 and 65535.

--withdef
    The --withdef parameter will cause a <getconfig> request to be sent to the server including the <withdef> parameter set to true. If it is missing, the default is not to request YANG defaults.

--with-state
    The --with-state parameter will cause a <getconfig> request to be sent to the server including the <with-state> parameter set to true. This will cause all non-configuration data nodes to be returned. If it is missing, the default is not to request these data nodes.

--filespec=/path/to/output.xml
    The --filespec parameter is required if the --getconfig parameter is present. This specifies the file location to save the <config> response from the server.

--xpath-filter=string
    The --xpath-filter parameter is used to add an optional XPath filter to the retrieval operation. If present, only data nodes included in the node-set result for this expression will be returned. The default is to return all data nodes.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1) db-api-app(1) sil-sa-app(1)